Bug 82072 - postmaster consumes lots of CPU
postmaster consumes lots of CPU
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Andrew Overholt
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-16 22:02 EST by Ben Elliston
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-17 11:50:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Elliston 2003-01-16 22:02:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
Since upgrading (via RHN) to postgresql-7.0.3-9.2, postmaster has been consuming lots of CPU--and never backing off its usage after startup.  The database on my system is used only for webmail address books and is *very, very* lightly utilised.

This happened as soon as I upgraded to the latest postgresql RPM on the redhat-7.1 channel.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try upgrading to postgresql-7.0.3-9.2 on an up2date 7.1 system.
2.
3.
    

Actual Results:  postmaster process consumes ~95% of CPU.

Expected Results:  postmaster should be dormant.

Additional info:

This happened as soon as I upgraded my postgresql packages via RHN due to recently discovered security holes.
Comment 1 Andrew Overholt 2003-01-17 11:50:07 EST
I can't seem to reproduce this bug.  I have tried loading the server (medium to
high loads) and the CPU usage never increases beyond 3% or so.  This behaviour
is consistent over different trials and different machines.  It should be noted
that these systems were almost completely base installations with everything
else up to date.  Perhaps the error lies somewhere else and it is just
coincidence?  The package is essentially the same thing with just a few security
holes filled in here and there ... not much to affect performance in such a
major way.

Marking WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.